Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.taxonomy
Class CDOptimizedTaxonomyBuilder

    java.lang.Object
      org.mindswap.pellet.taxonomy.CDOptimizedTaxonomyBuilder

All Implemented Interfaces:
  TaxonomyBuilder

    public class CDOptimizedTaxonomyBuilder

extends java.lang.Object
implements TaxonomyBuilder

Title: CD Optimized Taxonomy Builder

Description: Taxonomy Builder implementation optimized for completely defined concepts

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Mike Smith

Constructor Summary
`CDOptimizedTaxonomyBuilder()`

Method Summary
`Taxonomy` | `classify()` Classify the KB.
`void` | `classify(aterm.ATermAppl c)` Add a new concept to the already classified taxonomy
`void` | `printStats()`
`Taxonomy` | `realize()` Realize the KB by finding the instances of each class.
`void` | `setKB(KnowledgeBase kb)`
`void` | `setProgressMonitor(ProgressMonitor monitor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOptimizedTaxonomyBuilder

    public CDOptimizedTaxonomyBuilder()

Method Detail

### setKB

    public void setKB(KnowledgeBase kb)

  Specified by:
    `setKB` in interface `TaxonomyBuilder`

### setProgressMonitor

    public void setProgressMonitor(ProgressMonitor monitor)

  Specified by:
    `setProgressMonitor` in interface `TaxonomyBuilder`

### classify

    public Taxonomy classify()

  Classify the KB.

  Specified by:
    `classify` in interface `TaxonomyBuilder`

### classify

    public void classify(aterm.ATermAppl c)

  Add a new concept to the already classified taxonomy

  Specified by:
    `classify` in interface `TaxonomyBuilder`

### realize

    public Taxonomy realize()

  Realize the KB by finding the instances of each class.

  Specified by:
    `realize` in interface `TaxonomyBuilder`

### printStats

    public void printStats()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.